org.apache.ignite.internal.util

## Class GridSerializableSet<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - org.apache.ignite.internal.util.GridSerializableSet<E>

All Implemented Interfaces:
  Serializable, Iterable<E>, Collection<E>, Set<E>

Direct Known Subclasses:
  GridBoundedLinkedHashSet, GridCacheKeySet, GridConcurrentSkipListSet, GridListSet, GridSetWrapper

    public abstract class GridSerializableSet<E>
    extends AbstractSet<E>
    implements Serializable

Makes `AbstractSet` as `Serializable` and is useful for making anonymous serializable sets. It has no extra logic or state in addition to `AbstractSet`.

Note that methods `AbstractCollection.contains(Object)` and `AbstractCollection.remove(Object)` implemented in `AbstractCollection` fully iterate through collection so you need to make sure to override these methods if it's possible to create efficient implementations.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridSerializableSet()`

### Method Summary

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, retainAll, size, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, retainAll, size, toArray, toArray`

### Constructor Detail

#### GridSerializableSet

    public GridSerializableSet()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015